if RequiredScript == "lib/units/beings/player/playercamera" then
	local old_play = PlayerCamera.play_redirect
	function PlayerCamera:play_redirect(redirect_name, speed, ...)
		if redirect_name then
			if redirect_name == Idstring("melee_attack") then
				local equipped_melee = managers.blackmarket:equipped_melee_weapon()
				if equipped_melee then 
					if equipped_melee == "great" then
						speed = 2.2
					end
				end
			end
		end
		return old_play(self, redirect_name, speed, ...)
	end
end

if RequiredScript == "lib/tweak_data/blackmarket/meleeweaponstweakdata" then
	local old_init = BlackMarketTweakData._init_melee_weapons
	function BlackMarketTweakData:_init_melee_weapons(...)
		old_init(self, ...)
		self.melee_weapons.great.repeat_expire_t = 0.5
		self.melee_weapons.great.expire_t = 1
		self.melee_weapons.great.melee_damage_delay = 0.1
	end
end